package com.huimv.management.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huimv.management.entity.DrinkingWaterEntity;
import com.huimv.management.entity.IndoorEnvironmentEntity;
import com.huimv.management.entity.vo.DrinkingWaterVo;
import com.huimv.management.entity.vo.IndoorEnvironmentVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 饮用水指标表
 * 
 * @author yinhao
 * @email yinhao123@163.com
 * @date 2021-05-07 15:32:42
 */
@Mapper
public interface DrinkingWaterDao extends BaseMapper<DrinkingWaterEntity> {

    IPage<DrinkingWaterVo> page(@Param("page") IPage page, @Param("ew") QueryWrapper queryWrapper);
}
