package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.SensitiveWordDao;
import com.huimv.management.entity.SensitiveWordEntity;
import com.huimv.management.service.SensitiveWordService;


@Service("sensitiveWordService")
public class SensitiveWordServiceImpl extends ServiceImpl<SensitiveWordDao, SensitiveWordEntity> implements SensitiveWordService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<SensitiveWordEntity> page = this.page(
                new Query<SensitiveWordEntity>().getPage(params),
                new QueryWrapper<SensitiveWordEntity>()
        );

        return new PageUtils(page);
    }

}